Bienvenue sur le forum !

Si vous souhaitez rejoindre la communauté, cliquez sur l'un de ces boutons !

Qt 5 : 5.9.1 - Qt Creator : 4.4.0 - Qt Installer : 2.0.3 - JOM : 1.1.2 - Qt Build suite : 1.7.0 - VS Qt 5 : 2.0.0

Qt 5.7 ou 5.6

Bonjour,

J'ai bricolé par le passé quelques programmes en Qt/C++. Après un moment de pause, j'essaie de me relancer en passant par la case QML/QtQuick.
Je suis sur Ubuntu 16.10 et la version de Qt est la 5.6. Du coup, je n'ai pas les QuickControl 2... Mon Qt Creator ne m'affiche pas les menus par exemple alors qu'ils sont bien dans le fichier qml. Est-ce du à ça ?

J'ai l'impression qu'il y a pas mal de différences entre Qt 5.6 et Qt 5.7, non ? J'envisage de passer à la 5.7 en installer des paquets depuis zesty (future Ubuntu) : est-ce une mauvaise idée ?

Réponses

  • D'après cette page QuickControl 2 est une "technology preview release with Qt 5.6" et donc il se peut qu'il ne soit pas installé par défaut (?)

    Pour Qt 5.7, tu peux télécharger la dernière version ICI (qt-opensource-linux-x64-5.7.1.run)
  • Pourquoi ne pas installer avec leur outil online. Il facilite l'installation de plusieurs versions, leur mises à jour ...
  • Je préfère profiter du système de paquet deb utilisé par Ubuntu. On est assuré que tout est là. Je vais attendre un peu encore !

    Mais comme je n'ai pas trop de choses proposées dans la partie "Type QML" de QtCreator, section "Design", je pensais que c'était du à l'absence de QuickControls 2
  • Je préfère profiter du système de paquet deb utilisé par Ubuntu
    Moi c'est exactement l'inverse ;)
    Je préfère les installs de Qt plutôt que des versions plus anciennes installables via les packages.
    Perso j'ai une debian, et si je me contentais du package qt5-default, je serai en 5.3.
  • Ah Debian...
    C'est pour ça que je suis passé sur Ubuntu sur mes 3 postes client et gardé Debian pour mon serveur !
Connectez-vous ou Inscrivez-vous pour répondre.